package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.RedisUtil;
import com.lantone.qc.kernel.util.SpringContextUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Diag;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @ClassName : BEH0494
 * @Description :  入院记录由非执业医师填写
 * @Author : Mark
 * @Date: 2020-04-07 10:36
 */
@Component
public class BEH0494 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        String doctorName = inputInfo.getBeHospitalizedDoc().getStructureMap().get("签名");
        if(StringUtils.isNotEmpty(doctorName)) {
            RedisUtil redisUtil = SpringContextUtil.getBean("redisUtil");
            Map<String, String> surgeon = (Map<String, String>) redisUtil.get(doctorName);
            if (StringUtils.isNotEmpty(surgeon.get("professor")) && surgeon.get("professor").contains("医师")) {
                status.set("0");
            }
        } else {
            status.set("0");
        }
    }
}